package speiger.src.coreengine.rendering.utils;

import org.lwjgl.opengl.GL11;
import org.lwjgl.opengl.GL45;

import speiger.src.coreengine.rendering.utils.values.IGLValue;

public class GLFunctions {
	
	public static int createTexture(IGLValue value) {
		return GL45.glCreateTextures(value.glValue());
	}
	
	public static void deleteTextures(int... id) {
		GL11.glDeleteTextures(id);
	}
	
	public static void pixelStoreI(int mode, int value) {
		GL11.glPixelStorei(mode, value);
	}
}
